/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.hibernate.ejb.interfaces;

/**
 * Remote interface for ProfileService.
 */
public interface AggregateProfileService
   extends javax.ejb.EJBObject
{

   public org.jboss.test.hibernate.model.User storeUser( org.jboss.test.hibernate.model.User user )
      throws java.rmi.RemoteException;

   public org.jboss.test.hibernate.model.User loadUser( long id )
      throws java.rmi.RemoteException;

   public org.jboss.test.hibernate.model.User loadUser( Long id )
      throws java.rmi.RemoteException;

   public java.util.List listUsers()
      throws java.rmi.RemoteException;

}
